# -*- rpm-spec -*-
# $Id: diet-slang.spec,v 1.1.2.2 2005/07/07 19:13:25 mouse Exp $

%define diethome %_prefix/lib/dietlibc

Name: diet-slang
Version: 20050707
Release: alt1

Summary: A development library for S-lang language.
License: LGPL
Group: Development/C
Url: http://www.s-lang.org/

Source: %name-%version.tar.bz2

BuildRequires: dietlibc

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

This package was built against dietlibc.

%prep
%setup -qc

%build
%__make

%install
for s in obj-*; do
    d=`echo $s | sed 's,obj-,lib-,'`
    %__mkdir_p %buildroot%diethome/$d
    %__install -p -m644 $s/libslang.a %buildroot%diethome/$d/
done
%__mkdir_p %buildroot%diethome/include
%__install -p -m0644 slang.h %buildroot%diethome/include

%files
%diethome/lib-*/libslang.a
%diethome/include/slang.h

%changelog
* Thu Jul 07 2005 Anton D. Kachalov <mouse@altlinux.org> 20050707-alt1
- multilib support

* Wed Oct 27 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 20041025-alt0.2
- packaged for %distribution
